# Ogre::ParticleSystem::SortByDirectionFunctor Struct Reference

Sort by direction functor. More...

`#include <OgreParticleSystem.h>`

List of all members.

## Public Member Functions

| SortByDirectionFunctor (const Vector3 &dir)
float | operator() (Particle *p) const

## Public Attributes

Vector3 | sortDir
| Direction to sort in.

## Detailed Description

Sort by direction functor.

Definition at line 708 of file OgreParticleSystem.h.

## Constructor & Destructor Documentation

Ogre::ParticleSystem::SortByDirectionFunctor::SortByDirectionFunctor | ( | const Vector3 & | dir | ) |

## Member Function Documentation

float Ogre::ParticleSystem::SortByDirectionFunctor::operator() | ( | Particle * | p | ) | const

## Member Data Documentation

Vector3 Ogre::ParticleSystem::SortByDirectionFunctor::sortDir

Direction to sort in.

Definition at line 711 of file OgreParticleSystem.h.

The documentation for this struct was generated from the following file:

- OgreParticleSystem.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58